%define	name		libgc
%define	version		6.1
%define	release		2mdk
%define	major		1
%define finalname	%{name}%{major}

Summary:		Conservative garbage collector for C
Name:			%name
Version:		%version
Release:		%release
URL:			http://www.hpl.hp.com/personal/Hans_Boehm/gc/
License:		BSD
Source0:		gc6.1.tar.bz2
Group:			System/Libraries
Obsoletes:		%finalname  = %version
Obsoletes:		libgc
Provides:		%finalname = %version
Provides:		libgc
BuildRoot:		%_tmppath/%name-%version-root

%description
Boehm's GC is a garbage collecting storage allocator that is
intended to be used as a plug-in replacement for C's malloc.

%package -n		%finalname
Summary:		Conservative garbage collector for C
Group:          	System/Libraries
Obsoletes:		%finalname  = %version
Obsoletes:		libgc
Provides:		%finalname = %version
Provides:		libgc

%description -n		%finalname
Boehm's GC is a garbage collecting storage allocator that is
intended to be used as a plug-in replacement for C's malloc.

%package -n		%finalname-devel
Summary:		Development files and documentation for Bohem's GC
Group:			Development/C
License: 		BSD
Obsoletes:		%finalname-devel  = %version
Obsoletes:		libgc-devel
Provides:		%finalname-devel = %version
Provides:		libgc-devel
Requires:		%finalname = %version-%release

%description -n		%finalname-devel
Header files and documentation needed to develop programs that use
Bohem's GC 

%package -n		%finalname-static-devel
Summary:		Static libraries for Bohem's GC
Group:			Development/C
License: 		BSD
Obsoletes:		%finalname-static-devel  = %version
Obsoletes:		libgc-static-devel
Provides:		%finalname-static-devel = %version
Provides:		libgc-static-devel
Requires:		%finalname = %version-%release

%description -n		%finalname-static-devel
Static libraries neded to develop programs that use Bohem's GC


%prep

%setup -q -n gc6.1

%build

./configure \
    --build=%_target_platform \
    --host=%_target_platform \
    --target=%_target_platform \
    --prefix=%_prefix \
    --bindir=%_bindir \
    --sbindir=%_sbindir \
    --datadir=%_datadir \
    --sysconfdir=%_sysconfdir \
    --libdir=%_libdir \
    --includedir=%_includedir \
    --mandir=%_mandir \
    --enable-threads=pthreads \
    --enable-static \
    --enable-shared

%make LIBS=-ldl

%install
[ "%buildroot" != "/" ] && rm -rf %buildroot

install -d %buildroot%_libdir
install -d %buildroot%_includedir/gc

make DESTDIR=%buildroot install

for i in include/*.h; do
    install $i %buildroot%_includedir/gc
done

install -D doc/gc.man %buildroot%_mandir/man1/gc.1

%post -n %finalname -p /sbin/ldconfig
%postun -n %finalname -p /sbin/ldconfig

%post -n %finalname-devel -p /sbin/ldconfig
%postun -n %finalname-devel -p /sbin/ldconfig


%clean
[ "%buildroot" != "/" ] && rm -rf %buildroot

%files -n %finalname
%defattr(-, root, root)
%doc README.QUICK
%_libdir/*.so.*

%files -n %finalname-devel
%defattr(-, root, root)
%doc doc/*
%_libdir/*.la
%_libdir/*.so
%_includedir/gc/*
%_mandir/man?/*

%files -n %finalname-static-devel
%defattr(-, root, root)
%_libdir/*.a

%changelog
* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 6.1-2mdk
- build release

* Thu Dec 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 6.1-1mkd
- from Quel Qun <kelk1@hotmail.com> :
	- 6.1 final.

* Thu Sep  5 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 6.1-0.alpha5.1mdk
- initial cooker contrib
- used and fixed the provided spec file
- libifiction

* Tue Aug 20 2002 Miguel de Icaza <miguel@ximian.com>
- Moved to alpha 5

* Mon Aug 19 2002 Daniel Resare <noa@resare.com> 6.1-1
- updated to version 6.1
- changed package name to more generic libgc
- Added ldconfig invocation
- Added REAME.QUICK
- Merged devel package
- Removed private headerfiles from devel
- Removed broken manpages
- Removed nonstandard _build and _tmppath definitions (redhat specific
  _build breaks compilation in other dists and if anyone needs to move
  _tmpppath, it is better to do that system-wide in .rpmrc)
- Added URL header
- Changed group to standard one
- Removed i386 exclusivity (At least it seems to work on my ppc box)

* Sun Jun 16 2002 <richard.torkar@htu.se>
- Upgraded to 6.1alpha5
- Mono:: works on Red Hat 7.3 now

* Fri Apr 19 2002  <cvg@baselabs.org>
- Initial build.
